<?php

class Pop extends mfBaseModel {
  protected $forcestr = ['gps_lat','gps_long','vlan_public','vlan_nat','vlan_ipv6'];
  private $network;
  
  public function getProperty($name) {
    if($this->$name == null) {

      $classname = ucfirst($name);
      $idfield = $name."_id";
      $this->$name = new $classname($this->$idfield);
      
      if($this->$name->id) {
        return $this->$name;
      } else {
        return null;
      }
    }
    
    return $this->$name;
  }
}